
import sublime
import sublime_plugin
class CurrentPathStatusCommand(sublime_plugin.EventListener):
	def on_activated(self, view):
		filename = view.file_name()
		if filename:
			encode=view.encoding()
			encodeF=''+view.encoding()+''
			view.set_status('zPath',  '[ Poseidon Tools - Standard Edition 0.80.0.0 ] [ ENCODE: '+encodeF+' ] [ POS:')
		else:
			view.set_status('zPath',  '[ Poseidon Tools - Standard Edition 0.80.0.0 ] [ POS:')